Name:		mdevctl
Version:	0.81
Release:	%mkrel 2
Summary:	Mediated device management and persistence utility

Group:		System/Kernel and hardware
License:	LGPLv2
URL:		https://github.com/mdevctl/mdevctl
BuildArch:	noarch

Source0:	https://github.com/mdevctl/mdevctl/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: systemd
# (tv) for pkgconfig variables for installing rules
BuildRequires: pkgconfig(udev)
Requires(post,postun): %{_sbindir}/udevadm
Requires: coreutils udev jq

%description
mdevctl is a utility for managing and persisting devices in the
mediated device device framework of the Linux kernel.  Mediated
devices are sub-devices of a parent device (ex. a vGPU) which
can be dynamically created and potentially used by drivers like
vfio-mdev for assignment to virtual machines.

%prep
%setup -q -n %{name}-%{version}

%install
%make_install

%files
%license COPYING
%doc README.md
%{_sbindir}/mdevctl
%{_sbindir}/lsmdev
%{_udevrulesdir}/60-mdevctl.rules
%dir %{_sysconfdir}/mdevctl.d
%{_mandir}/man8/mdevctl.8*
%{_mandir}/man8/lsmdev.8*



%changelog
* Thu Mar 24 2022 umeabot <umeabot> 0.81-2.mga9
+ Revision: 1824449
- Mageia 9 Mass Rebuild

* Sat Jun 12 2021 tv <tv> 0.81-1.mga9
+ Revision: 1730468
- 0.81

* Wed Nov 25 2020 tv <tv> 0.78-1.mga8
+ Revision: 1649158
- 0.78

* Sun Sep 20 2020 tv <tv> 0.69-1.mga8
+ Revision: 1628896
- 0.69

* Sat Jul 04 2020 tv <tv> 0.61-1.mga8
+ Revision: 1601905
- imported package mdevctl


* Sat Jul 04 2020 Thierry Vignaud <tv@mageia.org> 0.61-1.mga8
- Import from FC

